-# WAIT! Before adding more items to the nav bar, please see
-# https://gitlab.com/gitlab-org/gitlab-foss/issues/49713 for more information.
%ul.list-unstyled.navbar-sub-nav
  - if dashboard_nav_link?(:projects)
    = nav_link(path: ['root#index', 'projects#trending', 'projects#starred', 'dashboard/projects#index'], html_options: { id: 'nav-projects-dropdown', class: "home dropdown header-projects qa-projects-dropdown", data: { track_label: "projects_dropdown", track_event: "click_dropdown", track_value: "" } }) do
      %button{ type: 'button', data: { toggle: "dropdown" } }
        = _('Projects')
        = sprite_icon('angle-down', css_class: 'caret-down')
      .dropdown-menu.frequent-items-dropdown-menu
        = render "layouts/nav/projects_dropdown/show"

  - if dashboard_nav_link?(:groups)
    = nav_link(controller: ['dashboard/groups', 'explore/groups'], html_options: { id: 'nav-groups-dropdown', class: "d-none d-md-block home dropdown header-groups qa-groups-dropdown", data: { track_label: "groups_dropdown", track_event: "click_dropdown", track_value: "" } }) do
      %button{ type: 'button', data: { toggle: "dropdown" } }
        = _('Groups')
        = sprite_icon('angle-down', css_class: 'caret-down')
      .dropdown-menu.frequent-items-dropdown-menu
        = render "layouts/nav/groups_dropdown/show"

  - if any_dashboard_nav_link?([:groups, :milestones, :activity, :snippets])
    %li.header-more.dropdown{ **tracking_attrs('main_navigation', 'click_more_link', 'navigation') }
      %a{ href: "#", data: { toggle: "dropdown", qa_selector: 'more_dropdown' } }
        = _('More')
        = sprite_icon('angle-down', css_class: 'caret-down')
      .dropdown-menu
        %ul
          - if dashboard_nav_link?(:groups)
            %li.d-md-none
              = link_to dashboard_groups_path, class: 'dashboard-shortcuts-groups', data: { qa_selector: 'groups_link' } do
                = _('Groups')
          - if dashboard_nav_link?(:activity)
            = nav_link(path: 'dashboard#activity') do
              = link_to activity_dashboard_path, class: 'dashboard-shortcuts-activity', data: { qa_selector: 'activity_link' } do
                = _('Activity')

          - if dashboard_nav_link?(:milestones)
            = nav_link(controller: 'dashboard/milestones') do
              = link_to dashboard_milestones_path, class: 'dashboard-shortcuts-milestones', data: { qa_selector: 'milestones_link' } do
                = _('Milestones')

          - if dashboard_nav_link?(:snippets)
            = nav_link(controller: 'dashboard/snippets') do
              = link_to dashboard_snippets_path, class: 'dashboard-shortcuts-snippets', data: { qa_selector: 'snippets_link' } do
                = _('Snippets')

          %li.dropdown
            = render_if_exists 'dashboard/nav_link_list'

          - if current_user.admin?
            = nav_link(controller: 'admin/dashboard') do
              = link_to admin_root_path, class: 'admin-icon qa-admin-area-link d-xl-none' do
                = _('Admin Area')
          - if Feature.enabled?(:user_mode_in_session)
            - if header_link?(:admin_mode)
              = nav_link(controller: 'admin/sessions') do
                = link_to destroy_admin_session_path, method: :post, class: 'd-lg-none lock-open-icon' do
                  = _('Leave Admin Mode')
            - elsif current_user.admin?
              = nav_link(controller: 'admin/sessions') do
                = link_to new_admin_session_path, class: 'd-lg-none lock-icon' do
                  = _('Enter Admin Mode')
          - if Gitlab::Sherlock.enabled?
            %li
              = link_to sherlock_transactions_path, class: 'admin-icon' do
                = _('Sherlock Transactions')

  - if current_user.admin?
    = nav_link(controller: 'admin/dashboard', html_options: { class: "d-none d-xl-block"}) do
      = link_to admin_root_path, class: 'admin-icon qa-admin-area-link', title: _('Admin Area'), aria: { label: _('Admin Area') }, data: {toggle: 'tooltip', placement: 'bottom', container: 'body'} do
        = sprite_icon('admin', size: 18)

  - if Feature.enabled?(:user_mode_in_session)
    - if header_link?(:admin_mode)
      = nav_link(controller: 'admin/sessions', html_options: { class: "d-none d-lg-block d-xl-block"}) do
        = link_to destroy_admin_session_path, method: :post, title: _('Leave Admin Mode'), aria: { label: _('Leave Admin Mode') }, data: { toggle: 'tooltip', placement: 'bottom', container: 'body' } do
          = sprite_icon('lock-open', size: 18)
    - elsif current_user.admin?
      = nav_link(controller: 'admin/sessions', html_options: { class: "d-none d-lg-block d-xl-block"}) do
        = link_to new_admin_session_path, title: _('Enter Admin Mode'), aria: { label: _('Enter Admin Mode') }, data: { toggle: 'tooltip', placement: 'bottom', container: 'body' } do
          = sprite_icon('lock', size: 18)

  -# Shortcut to Dashboard > Projects
  - if dashboard_nav_link?(:projects)
    %li.hidden
      = link_to dashboard_projects_path, class: 'dashboard-shortcuts-projects' do
        = _('Projects')

  = render_if_exists 'layouts/nav/geo_primary_node_url'
